gnutls_hash_fast(3)

NAME
gnutls_hash_fast - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_hash_fast(gnutls_digest_algorithm_t algorithm, const void * text, size_t textlen, void * digest);

ARGUMENTS

gnutls_digest_algorithm_t algorithm
    the hash algorithm to use

const void * text
    the data to hash

size_t textlen
    The length of data to hash

void * digest
    is the output value of the hash

DESCRIPTION
This convenience function will hash the given data and return output on a single call.

RETURNS
Zero or a negative error code on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/